var CTE_HASIERA_NUM=1;
var CTE_AURRE_NUM=2;
var CTE_AMAIERA_NUM=3;
var ADMINISTRACION_PUBLICA = 1;
var ENTIDAD_PRIVADA = 2;
var SOCIEDAD_PUBLICA = 3;

jQuery(function($){
	
	waitDialog("");
	
	verCamposIdioma();
	ocultarCamposPonderacion();
					
	$(".clshelburuaidatzi").on("click",function(event){
		event.preventDefault();		
		var idcapa=("#" + $(event.target).data("capa"));
		idatziHelburua(idcapa);
	});
	
	$(".clsElementuBerria").on("click",function(event){
		event.preventDefault();
		var idcapa=("#" + $(event.target).data("capa"));
		idatziElementuBerria(idcapa);
	});
	
	$(".clsElementuBerriaN4").on("click",function(event){
		event.preventDefault();
		var idcapa=("#" + $(event.target).data("capa"));
		nuevoTitulo(idcapa);
	});
	
	botonesNuevoElem();
	botonesN4();	
	botonesAcciones();
	onBlurValores();
	
	$("#Arbol_feedback").rup_feedback(
			{block:false});
	
	$("#capaEditAcc_feedback").rup_feedback(
			{block:false});
	
	$(".clsEditarOharrak").on("click",function(event){
		event.preventDefault();
		var idcapa=("#" + $(event.target).data("capa"));
		editarOharrak(idcapa);
	});
		
	$("#botonAnyadirAccionSel").on("click",function(event){
		event.preventDefault();				
		anyadirAcciones("S");
	});
	
	$("#botonAnyadirAccionNueva").on("click",function(event){
		event.preventDefault();				
		anyadirAcciones("N");
	});	
			
	$("#guardarDatosArbol").on("click",function(event){
		event.preventDefault();
		guardarDatosArbol();
	});	
	
	$("#calcularPonderacion").on("click",function(event){
		event.preventDefault();
		calcularPonderacion();
	});	
	
	$("#volverPantalla").on("click",function(event){
		event.preventDefault();
		volverPantallaPE(0);
	});	
	
	$("#volverPantallaPG").on("click",function(event){
		event.preventDefault();
		volverPantallaPG();
	});
		
	$("#LimpiarArbol").on("click",function(event){
		event.preventDefault();
		limpiarArbol();
	});		
	
	$("#excelPE").on("click",function(event){
		event.preventDefault();
		crearExcel("PE");
	});	
	
	$("#excelPG").on("click",function(event){
		event.preventDefault();
		crearExcel("PG");
	});	
	
	$("#pdfPE").bind("click",function(event){
		event.preventDefault();
		crearPdf("PE");
	});
	
	$("#bajaPe").bind("click",function(event){
		event.preventDefault();
		eliminarPlan("PE");
	});
	$("#bajaPg").bind("click",function(event){
		event.preventDefault();
		eliminarPlan("PG");
	});
	
	
	if($("#tipoPlan").val()=='PE' && $("#usuario").val()!='HPS' && $("#consulta").val()==0){
		$("#fechaAceptacionPlan").rup_date({});
	}	
	
	crearTooltipCampos();
	
	$("#NuevasAcciones").rup_table({
		url:"",
		colNames: [
			"idaccion",
			"elemento",
			$.rup.i18n.app.campos_elementos["nombreAccion"]
		],
		colModel: [
			{ 	name: "idaccion",
				index: "IDACCION",
				align: "left",
				width: 0,
				hidden: true,
				sortable: true
			},
			{ 	name: "elemento",
				index: "ELEMENTO",
				align: "left",
				width: 0,
				hidden: true,
				sortable: true
			},
			{ 	name: "nombreEsEu",
				index: "NOMBREESEU",
				align: "left",				
				width: 690,
				hidden: false,
				sortable: true
			}
        ],
        model:"Acciones",    
        usePlugins:[],
		primaryKey: "idaccion",
		sortname: "IDACCION",
		sortorder: "ASC",
		multiselect: true,
		multikey: "idaccion",
		multiselectWidth:"30",
		loadOnStartUp: false,
		onSelectRow: function(id){
            $("div .ui-paging-selected").html($("#NuevasAcciones").jqGrid('getGridParam', 'selarrrow').length+" "+$.rup.i18n.app.campos_elementos["selected"]);
        },
		width: "770"
	});			
	
	crearDialogNuevasAcciones();
	crearDialogHelburu();
	crearDialogElementuBerria();
	crearDialogModificarElemento();
	crearDialogEditarOharrak();
	crearDialogCapaCalcular();
	crearDialogHelburuAntiguo();	
	crearDialogElemento3Antiguo();	
	crearDialogTituloEditar();	
	crearDialogTituloNuevo();
	crearDialogEditarAcciones();
	
	$('#tipoReceptor').rup_combo({
		source: $.rup.CTX_PATH + "tiposreceptores/getAllTiposRecep",
		sourceParam: {label:"desc", value:"codtiporecep"},	
		blank: "",
		rowStriping: true
	});
	
	$('#situacion').rup_combo({
		source: $.rup.CTX_PATH + "elementosArbol/getTiposSituacion",
		sourceParam: {label:"desc", value:"id"},
		blank: "0",
		rowStriping: true
	});	
	
	$('#situacion').change(function(){
		if(this.value==3){
			$(".aplazamiento").hide();
			$(".cancelacion").show();
			$(".accionHecha").hide();	
			limpiarRadiosPreguntaAccion();
		}else if(this.value==2){
			$(".aplazamiento").show();
			$(".cancelacion").hide();
			$(".accionHecha").hide();
			limpiarRadiosPreguntaAccion();
		}else if(this.value==1){
			$(".aplazamiento").hide();
			$(".cancelacion").hide();
			$(".accionHecha").show();
		}else{
			$(".aplazamiento").hide();
			$(".cancelacion").hide();
			$(".accionHecha").hide();
			limpiarRadiosPreguntaAccion();
		}		
	});	
	
	actualizarAcciones();
	camposModif();	
	recogerArbol();
	$("#pantalla_arbol").show();
	closeWaitDialog();
});

function crearDialogNuevasAcciones(){
	$(".clsCapaNuevasAcciones").rup_dialog({
		type:$.rup.dialog.DIV,
		autoOpen:false,
		open: function(event, ui) { 
			var id = $(".clsCapaNuevasAcciones").data("capaAccion").split("_");
			var operacion = "acciones/" + id[1] + "/buscarTablaAccionesPg/filter";
			$("#NuevasAcciones").rup_table("setGridParam", {
				url:$.rup.CTX_PATH + operacion
			});					
			$("#NuevasAcciones").rup_table("reloadGrid", true);			
			$("#cb_NuevasAcciones").change(function(){
			    if($("#cb_NuevasAcciones").is(":checked")){
			        $("div .ui-paging-selected").html($("#NuevasAcciones").jqGrid('getGridParam', 'reccount')+" "+$.rup.i18n.app.campos_elementos["selected"]);
			    }else{
			        $("div .ui-paging-selected").html(0+" "+$.rup.i18n.app.campos_elementos["selected"]);
			    }
			});				
		},
		closeOnEscape : false,
		modal : true,
		resizable : true,
		buttons:[{
			text: $.rup.i18n.app.campos_elementos["itxi"],
			click: function() {
				//pasar datos a la capa				
				$(".clsCapaNuevasAcciones").data("capaAccion","");
				$(".clsCapaNuevasAcciones").rup_dialog("close");						
			},
			btnType:$.rup.dialog.LINK
			}],
		title: $.rup.i18n.app.campos_elementos["anyadirAcciones"],
		width:"850px"		
	});
}

function crearDialogHelburu(){
	$("#capa_helburu").rup_dialog({
		type:$.rup.dialog.DIV,
		autoOpen:false,
		closeOnEscape : false,
		modal : true,
		resizable : true,
		buttons:[{			
			text: $.rup.i18n.app.campos_elementos["onartu"],
			click: function() {
				var capa = $("#capa_helburu").data("capaHelburu");				
				var id = capa.split("_");
				if( $("#txthelburu").val()==""){
					alert($.rup.i18n.app.campos_elementos["helburuEuskOblig"]);
				}else{					
					$.rup_ajax({
						url : $.rup.CTX_PATH + "elementosArbol/guardarHelburu",
						contentType : "application/json",
						cache : false,
						data: JSON.stringify({"idElemento": id[1], "titulo" : $("#txthelburu").val(), "nivel" :id[2],"codPlane":$("#codPlane").val(),"tituloCas" : $("#txthelburuCas").val() }),											
						dataType : "json",
						type : "POST",
						success : function(response) {
							$(capa).text($("#txthelburu").val());
							$("#capahCas_" + id[1] + "_" + id[2]).text($("#txthelburuCas").val());	
							verDatoIdioma("#capahEsEu_" + id[1] + "_" + id[2],$("#txthelburuCas").val(),$("#txthelburu").val());						
							
							$("#capa_helburu").data("capaHelburu","");
							$("#capa_helburu").rup_dialog("close");
						},
						error : function(error) {
							ab39aUtils.feedback.pintarFeedbackError($.rup.i18n.app.errores["errorGral"],$("#Arbol_feedback"));
						}
					});
				}
			}},
			{
			text: $.rup.i18n.app.campos_elementos["itxi"],
			click: function() {
				//pasar datos a la capa				
				$("#capa_helburu").rup_dialog("close");
			},
			btnType:$.rup.dialog.LINK
			}],
		title: $.rup.i18n.app.campos_elementos["tituloHelburu"],
		width:"500px"
	});
}

function crearDialogElementuBerria(){	
		$(".clsCapaElementuBerria").rup_dialog({
			type:$.rup.dialog.DIV,
			autoOpen:false,
			closeOnEscape : false,
			modal : true,
			resizable : true,
			buttons:[{			
				text: $.rup.i18n.app.campos_elementos["onartu"],
				click: function() {			
					var valorSeleccionado = $('input[name=tipoDatos]:checked').val();
					if(valorSeleccionado == undefined){
						alert($.rup.i18n.app.campos_elementos["tipoDatoOblig"]);
					}else if($("#txtElemTitulua").val()==""){  
						alert($.rup.i18n.app.campos_elementos["tituloEuskOblig"]);
					}else{
						tieneEus = 0;
						tieneElebi = 0;
						tieneValor = 0;
						tieneSiNo=0;
						if(valorSeleccionado == 1){
							tieneSiNo = 1;		
						}else if(valorSeleccionado == 2){
							tieneEus = 1;
						}else if(valorSeleccionado == 3){
							tieneElebi = 1;
						}else if(valorSeleccionado == 4){
							tieneValor = 1;
						}
						var id = $(".clsCapaElementuBerria").data("capaPadre").split("_");
						$.rup_ajax({
							url : $.rup.CTX_PATH + "elementosArbol/elementoNuevo",
							contentType : "application/json",
							cache : false,
							data: JSON.stringify({"usuario":$("#usuario").val(),"tipoPlan":$("#tipoPlan").val(),"titulo": $("#txtElemTitulua").val(), "tituloCas" : $("#txtElemTituluaCas").val(),"elementoPadre" : id[1],
								"codPlane":$("#codPlane").val()//,"helburu": $("#txthelburuBerri").val(), "helburuCas" : $("#txthelburuBerriCas").val()
								,"version": $("#version").val(),
								"tieneSiNo":tieneSiNo,"tieneEus":tieneEus,"tieneElebi":tieneElebi,"tieneValor":tieneValor}),											
							dataType : "html",
							type : "POST",
							beforeSend: waitDialog($.rup.i18n.app.campos_elementos["insertarNuevoElemMens"]),
						    complete: closeWaitDialog,
							success : function(response) {		
								if(id[2] == 2){
									elementuBerriaInsertar(response);							
								}
								verCamposIdioma();
								ocultarCamposPonderacion();
								botonesNuevoElem();
								onBlurValores();
								$('#loading').html("<p>Result Complete...</p>");
								$(".clsCapaElementuBerria").rup_dialog("close");
							},
							error : function(error) {
								ab39aUtils.feedback.pintarFeedbackError($.rup.i18n.app.errores["errorGral"],$("#Arbol_feedback"));
							}
						});		
					}
			}},
				{
				text: $.rup.i18n.app.campos_elementos["itxi"],
				click: function() {				
					$(".clsCapaElementuBerria").rup_dialog("close");
				},
				btnType:$.rup.dialog.LINK
				}],
			title:$.rup.i18n.app.campos_elementos["elemBerriaTit"],
			width:"493px"		
		});
	
}

function crearDialogModificarElemento(){
	$(".clsCapaModificarElemento").rup_dialog({
		type:$.rup.dialog.DIV,
		autoOpen:false,
		closeOnEscape : false,
		modal : true,
		resizable : true,
		buttons:[{			
			text: $.rup.i18n.app.campos_elementos["onartu"],
			click: function() {					
				if($("#txtElemTituluaModif").val()==""){
					alert($.rup.i18n.app.campos_elementos["tituloEuskOblig"]);
				}else{
					$.rup_ajax({				
						url : $.rup.CTX_PATH + "elementosArbol/modificarElemento",
						contentType : "application/json",
						cache : false,
						data: JSON.stringify({"titulo": $("#txtElemTituluaModif").val(), "tituloCas" : $("#txtElemTituluaCasModif").val(),"elementoId" : $("#idElementoBerria").val(),"codPlane":$("#codPlane").val(),"version":$("#version").val()//,"helburu": $("#txthelburuBerriModif").val(), "helburuCas" : $("#txthelburuBerriCasModif").val() 
							}),	
						dataType: "json",
						type : "POST",
						beforeSend: waitDialog($.rup.i18n.app.campos_elementos["modificarElemMens"]),
					    complete: closeWaitDialog,
						success : function(response) {
							
							$("#capaNivel3_" + $("#idElementoBerria").val()).html($("#txtElemTituluaModif").val());
							$("#capaNivelCas3_" + $("#idElementoBerria").val()).html($("#txtElemTituluaCasModif").val());							
							verDatoIdioma("#capaNivelEsEu3_" + $("#idElementoBerria").val(),$("#txtElemTituluaCasModif").val(),$("#txtElemTituluaModif").val());							
							
							$(".clsCapaModificarElemento").rup_dialog("close");
						},
						error : function(error) {
							ab39aUtils.feedback.pintarFeedbackError($.rup.i18n.app.errores["errorGral"],$("#Arbol_feedback"));
						}
					});
				}
		}},
			{
			text: $.rup.i18n.app.campos_elementos["itxi"],
			click: function() {				
				$(".clsCapaModificarElemento").rup_dialog("close");
			},
			btnType:$.rup.dialog.LINK
			}],
		title:$.rup.i18n.app.campos_elementos["elemBerriaTit"],
		width:"550px"		
	});	
}

function crearDialogEditarOharrak(){
	$(".clsCapaEditarOharrak").rup_dialog({
		type:$.rup.dialog.DIV,
		autoOpen:false,
		closeOnEscape : false,
		modal : true,
		resizable : true,
		buttons:[{			
			text: $.rup.i18n.app.campos_elementos["onartu"],
			click: function() {					
				$.rup_ajax({
					url : $.rup.CTX_PATH + "elementosArbol/editarOharrak",
					contentType : "application/json",
					cache : false,
					data: {"oharrak": $("#txtOharrak").val(), "elementoId" : $("#idElementoOharrak").val(),"codPlane":$("#codPlane").val() },											
					dataType : "html",
					type : "GET",
					beforeSend: waitDialog($.rup.i18n.app.campos_elementos["guardarElemMens"]),
				    complete: closeWaitDialog,
					success : function(response) {							
						$("#oharrak_" + $("#idElementoOharrak").val()).html($("#txtOharrak").val());												
						$(".clsCapaEditarOharrak").rup_dialog("close");
					},
					error : function(error) {
						ab39aUtils.feedback.pintarFeedbackError($.rup.i18n.app.errores["errorGral"],$("#Arbol_feedback"));
					}
				});					
		}},
			{
			text: $.rup.i18n.app.campos_elementos["itxi"],
			click: function() {				
				$(".clsCapaEditarOharrak").rup_dialog("close");
			},
			btnType:$.rup.dialog.LINK
			}],
		title:$.rup.i18n.app.campos_elementos["modifOharrak"],
		width:"550px"		
	});	
}

function crearDialogCapaCalcular(){
	$(".clsCapaCalcular").rup_dialog({
		type:$.rup.dialog.DIV,
		autoOpen:false,
		closeOnEscape : false,
		modal : true,
		resizable : true,
		buttons:[{			
			text: $.rup.i18n.app.campos_elementos["onartu"],
			click: function() {					
				calcular();			
			}},
			{
			text: $.rup.i18n.app.campos_elementos["itxi"],
			click: function() {				
				$(".clsCapaCalcular").rup_dialog("close");
			},
			btnType:$.rup.dialog.LINK
			}],
		title:$.rup.i18n.app.campos_elementos["calcular"],
		width:"390px"		
	});
}

function crearDialogHelburuAntiguo(){
	$(".clsCapaHelburuAntiguo").rup_dialog({
		type:$.rup.dialog.DIV,
		autoOpen:false,
		closeOnEscape : false,
		modal : true,
		resizable : true,
		buttons:[
			{
			text: $.rup.i18n.app.campos_elementos["itxi"],
			click: function() {				
				$(".clsCapaHelburuAntiguo").rup_dialog("close");
			},
			btnType:$.rup.dialog.LINK
			}],
		title:$.rup.i18n.app.campos_elementos["versionAnterior"],
		width:"600px"		
	});
}

function crearDialogElemento3Antiguo(){
	$(".clsCapaElemento3Antiguo").rup_dialog({
		type:$.rup.dialog.DIV,
		autoOpen:false,
		closeOnEscape : false,
		modal : true,
		resizable : true,
		buttons:[
			{
			text: $.rup.i18n.app.campos_elementos["itxi"],
			click: function() {				
				$(".clsCapaElemento3Antiguo").rup_dialog("close");
			},
			btnType:$.rup.dialog.LINK
			}],
		title:$.rup.i18n.app.campos_elementos["versionAnterior"],
		width:"600px"		
	});
}

function crearDialogTituloEditar(){
	$(".clsCapaTituloEditar").rup_dialog({
		type:$.rup.dialog.DIV,
		autoOpen:false,
		closeOnEscape : false,
		modal : true,
		resizable : true,
		buttons:[{			
			text: $.rup.i18n.app.campos_elementos["onartu"],
			click: function() {
				//pasar datos a la capa
				var capa = $(".clsCapaTituloEditar").data("capaTitulo");				
				var id = capa.split("_");
				if($("#txtTitulo").val()==""){
					alert($.rup.i18n.app.campos_elementos["tituloEuskOblig"]);
				}else{
					$.rup_ajax({
						url : $.rup.CTX_PATH + "elementosArbol/guardarTituloPG",
						contentType : "application/json",
						cache : false,
						data: JSON.stringify({"idElemento": id[1], "titulo" : $("#txtTitulo").val(),"tituloCas" : $("#txtTituloCas").val() }),											
						dataType : "json",
						type : "POST",
						beforeSend: waitDialog($.rup.i18n.app.campos_elementos["espereGeneral"]),
					    complete: closeWaitDialog,
						success : function(response) {
							$("#titn_" + id[1]).text($("#txtTitulo").val());
							$("#titnCas_" + id[1]).text($("#txtTituloCas").val());	
							verDatoIdioma("#titnEsEu_" + id[1],$("#txtTituloCas").val(),$("#txtTitulo").val());
							$(".clsCapaTituloEditar").data("capaTitulo","");
							$(".clsCapaTituloEditar").rup_dialog("close");
						},
						error : function(error) {
							ab39aUtils.feedback.pintarFeedbackError($.rup.i18n.app.errores["errorGral"],$("#Arbol_feedback"));
						}
					});
				}
			}},
			{
			text: $.rup.i18n.app.campos_elementos["itxi"],
			click: function() {
				//pasar datos a la capa				
				$(".clsCapaTituloEditar").rup_dialog("close");
			},
			btnType:$.rup.dialog.LINK
			}],
		title: $.rup.i18n.app.campos_elementos["tituloModif"],
		width:"550px"
	});
}

function crearDialogTituloNuevo(){
	$(".clsCapaTituloNuevo").rup_dialog({
		type:$.rup.dialog.DIV,
		autoOpen:false,
		closeOnEscape : false,
		modal : true,
		resizable : true,
		buttons:[{			
			text: $.rup.i18n.app.campos_elementos["onartu"],
			click: function() {
				//pasar datos a la capa
				var capa = $(".clsCapaTituloNuevo").data("capaTitulo");				
				var id = capa.split("_");
				if($("#txtTituloNuevo").val()==""){
					alert($.rup.i18n.app.campos_elementos["tituloEuskOblig"]);
				}else if( $("#txtAccionNuevo").val()==""){
					alert($.rup.i18n.app.campos_elementos["nombresAccionEuskOblig"]);
				}else{
					$.rup_ajax({
						url : $.rup.CTX_PATH + "elementosArbol/nuevoElemNivel4",
						contentType : "application/json",
						cache : false,
						data: JSON.stringify({"idPadre": id[1], "titulo" : $("#txtTituloNuevo").val(),"tituloCas" : $("#txtTituloCasNuevo").val(), "nombreaccion" : $("#txtAccionNuevo").val(),"nombreaccionCas" : $("#txtAccionCasNuevo").val(),
							"usuario":$("#usuario").val(),"tipoPlan":$("#tipoPlan").val(),"codPlane":$("#codPlane").val()}),	
						dataType : "html",
						type : "POST",
						beforeSend: waitDialog($.rup.i18n.app.campos_elementos["insertarNuevoElemMens"]),
					    complete: closeWaitDialog,
						success : function(response) {
							elementuBerriaNivel4(response);						
							actualizarAcciones();
							botonesAcciones();
							verCamposIdioma();							
							$(".clsCapaTituloNuevo").data("capaTitulo","");
							$(".clsCapaTituloNuevo").rup_dialog("close");
						},
						error : function(error) {
							ab39aUtils.feedback.pintarFeedbackError($.rup.i18n.app.errores["errorGral"],$("#Arbol_feedback"));
						}
					});
				}
			}},
			{
			text: $.rup.i18n.app.campos_elementos["itxi"],
			click: function() {
				//pasar datos a la capa				
				$(".clsCapaTituloNuevo").rup_dialog("close");
			},
			btnType:$.rup.dialog.LINK
			}],
		title: $.rup.i18n.app.campos_elementos["nuevoElem"],
		width:"550px"
	});	
}

function sumarRecepH(){	
	if($("#receptoresM").val()!=0){
		$("#receptores").val(parseFloat($("#receptoresH").val()) + parseFloat($("#receptoresM").val()));
	}
}

function sumarRecepM(){	
	if($("#receptoresH").val()!=0){
		$("#receptores").val(parseFloat($("#receptoresH").val()) + parseFloat($("#receptoresM").val()));
	}
}

function crearDialogEditarAcciones(){
	$("#capaEditAcc_feedback").hide();
	$(".clsCapaEditarAcciones").rup_dialog({
		type:$.rup.dialog.DIV,		
		autoOpen:false,
		closeOnEscape : false,
		modal : true,
		resizable : true,
		buttons:[{			
			text: $.rup.i18n.app.campos_elementos["onartu"],
			click: function() {				
				var capa = $(".clsCapaEditarAcciones").data("capaAcciones");				
				var id = capa.split("_");
				if($("#nombreAcc").val()==""){ 
					ab39aUtils.feedback.pintarFeedbackError($.rup.i18n.app.campos_elementos["nombresAccionEuskOblig"],$("#capaEditAcc_feedback"));
					return false;
				}
				if($("#descripcion").val()==""){ 
					ab39aUtils.feedback.pintarFeedbackError($.rup.i18n.app.campos_elementos["descrEuskOblig"],$("#capaEditAcc_feedback"));
					return false;
				}
				if((($("#receptoresH").val()!=0 || $("#receptoresM").val()!=0)) || ($("#receptoresH").val()!=0 && $("#receptoresM").val()!=0)) {
					var totalRecep = parseFloat($("#receptoresH").val()) + parseFloat($("#receptoresM").val());
					if(totalRecep!= $("#receptores").val()){							
						ab39aUtils.feedback.pintarFeedbackError($.rup.i18n.app.campos_elementos["accRecepSuma"],$("#capaEditAcc_feedback"));
						return false;
					}
				}				
						
				$.rup_ajax({
					url : $.rup.CTX_PATH + "elementosArbol/guardarAcciones",
					contentType : "application/json",
					cache : false,
					data: JSON.stringify({"idElemento": id[1], "receptores" : $("#receptores").val(),"receptoresH" : $("#receptoresH").val(),"receptoresM" : $("#receptoresM").val() ,"responsable" : $("#responsable").val(),
						"fechaPrev" : $("#fechaPrev").val(),"tipoReceptor" : $("#tipoReceptor").rup_combo("value"),"razonAplaz" : $("#razonAplaz").val(),"motivoCancel" : $("#motivoCancel").val(),
						"descripcion" : $("#descripcion").val(),"nuevafechaprev" : $("#nuevafechaprev").val(),"situacion" : $("#situacion").rup_combo("value"),"idPadre":id[2],
						"descripcionCas" : $("#descripcionCas").val(),"razonAplazCas" : $("#razonAplazCas").val(),"motivoCancelCas" : $("#motivoCancelCas").val(),"observacionesCas" : $("#observacionesCas").val()
						,"observaciones" : $("#observaciones").val(),"nombreAcc": $("#nombreAcc").val(),"nombreAccCas": $("#nombreAccCas").val(),"preguntaHecha": $('input:radio[name=preguntaHecha]:checked').val()}),
					dataType : "json",
					type : "POST",
					beforeSend: waitDialog($.rup.i18n.app.campos_elementos["espereGeneral"]),
				    complete: closeWaitDialog,
					success : function(response) {
						$("#numRecep_" + id[1]).text($("#receptores").val());
						$("#numRecepH_" + id[1]).text($("#receptoresH").val());	
						$("#numRecepM_" + id[1]).text($("#receptoresM").val());
						$("#responsable_" + id[1]).text($("#responsable").val());
						$("#fechaPrev_" + id[1]).text($("#fechaPrev").val());						
						$("#razonAplaz_" + id[1]).text($("#razonAplaz").val());
						$("#motivoCancel_" + id[1]).text($("#motivoCancel").val());
						$("#descrip_" + id[1]).text($("#descripcion").val());
						$("#nuevafechaprev_" + id[1]).text($("#nuevafechaprev").val());	
						$("#tipoRecepCod_" + id[1]).text($("#tipoReceptor").rup_combo("value"));
						if($("#tipoReceptor").rup_combo("value")!=""){
							$("#tipoRecep_" + id[1]).text($("#tipoReceptor").rup_combo("label"));
						}else{
							$("#tipoRecep_" + id[1]).text("");
						}
						$("#situacionCod_" + id[1]).text($("#situacion").rup_combo("value"));	
						if($("#situacion").rup_combo("value")!=0){
							$("#situacion_" + id[1]).text($("#situacion").rup_combo("label"));
						}else{
							$("#situacion_" + id[1]).text("");
						}
						$("#descripCas_" + id[1]).text($("#descripcionCas").val());
						$("#razonAplazCas_" + id[1]).text($("#razonAplazCas").val());
						$("#motivoCancelCas_" + id[1]).text($("#motivoCancelCas").val());
						$("#observacionesCas_" + id[1]).text($("#observacionesCas").val());
						$("#observaciones_" + id[1]).text($("#observaciones").val());
						$("#titAn_" + id[1]).text($("#nombreAcc").val());
						$("#titAnCas_" + id[1]).text($("#nombreAccCas").val());
						verDatoIdioma("#titAnEsEu_" + id[1],$("#nombreAccCas").val(),$("#nombreAcc").val());	
						verDatoIdioma("#descripEsEu_" + id[1],$("#descripcionCas").val(),$("#descripcion").val());						
						verDatoIdioma("#motivoCancelEsEu_" + id[1],$("#motivoCancelCas").val(),$("#motivoCancel").val());
						verDatoIdioma("#razonAplazEsEu_" + id[1],$("#razonAplazCas").val(),$("#razonAplaz").val());
						verDatoIdioma("#observacionesEsEu_" + id[1],$("#observacionesCas").val(),$("#observaciones").val());
						if($('input:radio[name=preguntaHecha]:checked').val()==undefined){
							$("#preguntaHechaCod_" + id[1]).text(0);						
							$("#preguntaHechaEsEu_" + id[1]).text("");
						}else{
							$("#preguntaHechaCod_" + id[1]).text($('input:radio[name=preguntaHecha]:checked').val());						
							$("#preguntaHechaEsEu_" + id[1]).text($.rup.i18n.app.campos_acciones["preguntaHecha" + $('input:radio[name=preguntaHecha]:checked').val()]);
						}
						$(".clsCapaEditarAcciones").data("capaAcciones","");
						$(".clsCapaEditarAcciones").rup_dialog("close");						
					},
					error : function(error) {
						ab39aUtils.feedback.pintarFeedbackError($.rup.i18n.app.errores["errorGral"],$("#Arbol_feedback"));
					}
				});
			}},
			{
			text: $.rup.i18n.app.campos_elementos["itxi"],
			click: function() {
				//pasar datos a la capa				
				$(".clsCapaEditarAcciones").rup_dialog("close");
			},
			btnType:$.rup.dialog.LINK
			}],
		title: $.rup.i18n.app.campos_elementos["mofifAcciones"],
		width:"740px"		
	});
}

function recogerArbol(){
	if($.rup.lang=="es"){
		$(".clsNivel1.verCas").click();
	}else{
		$(".clsNivel1.verEus").click();
	}	
	$(".tituloElemBorrados").click();
}

function onBlurValores(){
	$(".camposPorcen").off("keyup");			
	$(".camposPorcen").on('keyup', function (event) {
		event.preventDefault();
		var value = $(this).val();
	    var id= $(this).attr("id").split("_");
	    if(value<0){	    
	    	$(this).val("");
	    	alert($.rup.i18n.app.campos_elementos["valorMayor0"]);
	    }else if(value>100){ 
	    	$(this).val("");
	    	alert($.rup.i18n.app.campos_elementos["valorMenor100"]);
	    }else if(id[1]=='hasi' || id[1]=='aurre' || id[1]=='amai'){
	    	if($("#capa_" + id[1] + "elebi_" + id[2] + "_" + id[3]).val()!=undefined){
	    		if(parseFloat(value) + parseFloat($("#capa_" + id[1] + "elebi_" + id[2] + "_" + id[3]).val()) >100){
	    			$(this).val("");
	    			alert($.rup.i18n.app.campos_elementos["eusElebiMenor100"]);    			
	    		}
	    	}
	    }else if(id[1]=='hasielebi' ){
	    	if($("#capa_hasi_" + id[2] + "_" + id[3]).val()!=undefined){
	    		if(parseFloat(value) + parseFloat($("#capa_hasi_" + id[2] + "_" + id[3]).val()) >100){
	    			$(this).val("");
	    			alert($.rup.i18n.app.campos_elementos["eusElebiMenor100"]);    			
	    		}
	    	}
	    }else if(id[1]=='aurreelebi' ){
	    	if($("#capa_aurre_" + id[2] + "_" + id[3]).val()!=undefined){
	    		if(parseFloat(value) + parseFloat($("#capa_aurre_" + id[2] + "_" + id[3]).val()) >100){
	    			$(this).val("");
	    			alert($.rup.i18n.app.campos_elementos["eusElebiMenor100"]);    			
	    		}
	    	}
	    }else if(id[1]=='amaielebi' ){
	    	if($("#capa_amai_" + id[2] + "_" + id[3]).val()!=undefined){
	    		if(parseFloat(value) + parseFloat($("#capa_amai_" + id[2] + "_" + id[3]).val()) >100){
	    			$(this).val("");
	    			alert($.rup.i18n.app.campos_elementos["eusElebiMenor100"]);    			
	    		}
	    	}
	    } 	   
    });	
}



function botonesNuevoElem(){
	$(".clsModificarElemento").off("click");
	$(".clsBorrarElemento").off("click");
	$(".clsModificarElemento").on("click",function(event){
		event.preventDefault();
		var idcapa=("#" + $(event.target).data("capa"));
		modificarElemento(idcapa);
	});	
	$(".clsBorrarElemento").on("click",function(event){
		event.preventDefault();
		var idcapa=("#" + $(event.target).data("capa"));
		borrarElemento(idcapa);
	});
}

function botonesAcciones(){
	$(".clsEditarAccion").off("click");
	$(".clsBorrarAccion").off("click");
	$(".clsEditarAccion").on("click",function(event){
		event.preventDefault();		
		var idcapa=("#" + $(event.target).data("capa"));
		editarAccion(idcapa);
	});
	$(".clsBorrarAccion").on("click",function(event){
		event.preventDefault();
		var idcapa=("#" + $(event.target).data("capa"));
		borrarAccion(idcapa);
	});
}

function botonesN4(){
	$(".clsTituloEditar").off("click");
	$(".clsNuevasAcciones").off("click");
	$(".clsBorrarElemento4").off("click");
	$(".clsTituloEditar").on("click",function(event){
		event.preventDefault();		
		var idcapa=("#" + $(event.target).data("capa"));
		editarTitulo(idcapa);
	});
	$(".clsNuevasAcciones").on("click",function(event){
		event.preventDefault();		
		var idcapa=("#" + $(event.target).data("capa"));
		crearTablaAcciones(idcapa);
	});
	$(".clsBorrarElemento4").on("click",function(event){
		event.preventDefault();
		var idcapa=("#" + $(event.target).data("capa"));
		borrarElem4(idcapa);
	});	
}


function actualizarAcciones(){
	$(".mostrar").click(function(event){
		event.preventDefault();
		var idcapa=("#" + $(event.target).data("capa")).split("_");
		$("#tabla_" + idcapa[1]).show();
		$("#ocultar_" + idcapa[1]).show();
		$("#mostrar_" + idcapa[1]).hide();
	});	
	$(".ocultar").click(function(event){
		event.preventDefault();
		var idcapa=("#" + $(event.target).data("capa")).split("_");
		$("#tabla_" + idcapa[1]).hide();
		$("#mostrar_" + idcapa[1]).show();
		$("#ocultar_" + idcapa[1]).hide();
	});		
	$(".estiloTablaAccion").hide();
	$(".mostrar").show();
	$(".ocultar").hide();
}

function camposModif(){
	var tipoEntidad = $("#tipoEntidad").val();
	if($("#tienePg").val()==0){
		if(tipoEntidad == ENTIDAD_PRIVADA || tipoEntidad == SOCIEDAD_PUBLICA ){
			$("#anyoinicio").attr('disabled',false);
			$("#anyofin").attr('disabled',false);
		}else if(tipoEntidad == ADMINISTRACION_PUBLICA){
			$("#anyoinicio").attr('disabled',false);
			$("#anyofin").attr('disabled',true);
		}
	}else{
		$("#anyoinicio").attr('disabled',true);
		$("#anyofin").attr('disabled',true);
	}
	if(tipoEntidad == ENTIDAD_PRIVADA || tipoEntidad == SOCIEDAD_PUBLICA ){
		$("#indiceObligat").hide();
		$("#lblindiceObligat").hide();
		$("#nivelCumplimientoReqeus").hide();
		$("#lblnivelCumplimientoReqeus").hide();
		$("#porcentajeBiling").show();		
		$("#lblporcentajeBiling").show();
	}else if(tipoEntidad == ADMINISTRACION_PUBLICA){
		$("#indiceObligat").show();
		$("#lblindiceObligat").show();
		$("#nivelCumplimientoReqeus").show();
		$("#lblnivelCumplimientoReqeus").show();
		$("#porcentajeBiling").hide();
		$("#lblporcentajeBiling").hide();
	}	
	if($("#usuario").val()=='HPS'){
		$(".campoPlan").attr('disabled',true);
		$(".hasiera").attr('disabled',true);
		$(".aurre").attr('disabled',true);
		$(".amaiera").attr('disabled',true);
		$("#anyoinicio").attr('disabled',true);
		$("#anyofin").attr('disabled',true);
		$("#nombrePlan").attr('disabled',true);
		$("#nombrePlanEu").attr('disabled',true);
	}else{
		$(".hasiera").attr('disabled',false);
		$(".aurre").attr('disabled',false);
		$(".amaiera").attr('disabled',false);
	}
	if($("#consulta").val()==1){
		$(".hasiera").attr('disabled',true);
		$(".aurre").attr('disabled',true);
		$(".amaiera").attr('disabled',true);
		$(".campoPlan").attr('disabled',true);
		$("#anyoinicio").attr('disabled',true);
		$("#anyofin").attr('disabled',true);
		$("#nombrePlan").attr('disabled',true);
		$("#nombrePlanEu").attr('disabled',true);
	}
	if(usuarioConectado == USUARIO_TEC_ENTIDAD){
		if(solicInfor == 1){
			$(".idiomaEs").hide();			
		}else{			
			$(".idiomaEs").show();
		}
	}
}

function volverPantallaPE(vuelta){
	if(usuarioConectado == USUARIO_TEC_ENTIDAD){
		if(vuelta==0){
			$.rup_messages("msgConfirm", {
		        message: $.rup.i18nParse($.rup.i18n.app,"campos_elementos.volverConfirm"),
		        title: "",
		        OKFunction: function () {
		        	window.location = $.rup.CTX_PATH + "planesestrategicos/maint?volver=1";
		        }
			}); 
		}else{
			window.location = $.rup.CTX_PATH + "planesestrategicos/maint?volver=1";
		}
	}else{
		window.location = $.rup.CTX_PATH + "planesestrategicos/maint?volver=1";
	}				
}

function volverPantallaPG(){
	window.location = $.rup.CTX_PATH + "planesgestion/maint?volver=1";
}

function limpiarArbol(){
	ab39aUtils.util.bloquearInterfaz();
	window.location = $.rup.CTX_PATH + "elementosArbol/arbol/detalle/" + $("#codPlane").val() + "/" + $("#tipoPlan").val() + "/" + $("#version").val() + "/" + $("#consulta").val();
}

function ocultarCamposPonderacion(){
	$(".totPonde").hide();
	$(".totalPondTit").hide();
	$(".totalHasi").hide();
	$(".totalAurre").hide();
	$(".totalAmai").hide();		
}

function mostrarCamposPonderacion(valorSeleccionado){
	$(".totPonde").show();
	$(".totalPondTit").show();
	if(valorSeleccionado==CTE_HASIERA_NUM){
		$(".totalHasi").show();
		$(".totalAurre").hide();
		$(".totalAmai").hide();
	}else if(valorSeleccionado==CTE_AURRE_NUM){
		$(".totalHasi").hide();
		$(".totalAurre").show();
		$(".totalAmai").hide();
	}else if(valorSeleccionado==CTE_AMAIERA_NUM){
		$(".totalHasi").hide();
		$(".totalAurre").hide();
		$(".totalAmai").show();
	}
}


function calcularPonderacion(){
	$(".clsCapaCalcular").rup_dialog("destroy");
	crearDialogCapaCalcular();
	$(".clsCapaCalcular").rup_dialog("open");
}

function calcular(){
	var valorMayor100= 0;
	$.each($(".camposPorcen"),function(id,value){
		if($(value).val()>100){
			valorMayor100 = 1;
			return false;
		}
	});	
	if(valorMayor100 == 1){
		ab39aUtils.feedback.pintarFeedbackError($.rup.i18n.app.campos_elementos["eusElebiMenor100"],$("#Arbol_feedback"));
	}else{
		var valorSeleccionado = $('input[name=tipoCalculo]:checked').val();
		//1 Hasiera,2 Aurreikusitakoa,3 Amaiera
		if(valorSeleccionado!=undefined){
			//calcular segun tipo seleccionado nivel 3
			$.each($(".clsSeccionElementoNivel3"),function(ind,value){
				var tipoValor = $(value).attr("tipoValor");
				var tieneSiNo = $(value).attr("tieneSiNo");
				var esBase = $(value).attr("esBase");
				var totalNivel3=0;
				var id = $(value).attr("id").split("_");
				var idElem = id[3];
				var idPadre = id[2];
				var ponderacionNivel3 = $("#ponderacion3_" + idPadre + "_" + idElem).html();
				var totalPonde3 = 0;
				if(tipoValor==0 && tieneSiNo==0){
					if(valorSeleccionado==CTE_HASIERA_NUM){
						if($("#capa_hasielebi_" + idElem + "_" + idPadre).val()!=undefined){
							totalNivel3 = parseFloat($("#capa_hasi_" + idElem + "_" + idPadre).val()) + parseFloat($("#capa_hasielebi_" + idElem + "_" + idPadre).val());
						}else{
							totalNivel3 = parseFloat($("#capa_hasi_" + idElem + "_" + idPadre).val());
						}	
						$("#Total_hasi_" + idElem + "_" + idPadre).html(totalNivel3);
					}else if(valorSeleccionado==CTE_AURRE_NUM){
						if($("#capa_aurreelebi_" + idElem + "_" + idPadre).val()!=undefined){
							totalNivel3 = parseFloat($("#capa_aurre_" + idElem + "_" + idPadre).val()) + parseFloat($("#capa_aurreelebi_" + idElem + "_" + idPadre).val());
						}else{
							totalNivel3 = parseFloat($("#capa_aurre_" + idElem + "_" + idPadre).val());
						}
						$("#Total_aurre_" + idElem + "_" + idPadre).html(totalNivel3);
					}else if(valorSeleccionado==CTE_AMAIERA_NUM){
						if($("#capa_amaielebi_" + idElem + "_" + idPadre).val()!=undefined){
							totalNivel3 = parseFloat($("#capa_amai_" + idElem + "_" + idPadre).val()) + parseFloat($("#capa_amaielebi_" + idElem + "_" + idPadre).val());
						}else{
							totalNivel3 = parseFloat($("#capa_amai_" + idElem + "_" + idPadre).val());
						}
						$("#Total_amai_" + idElem + "_" + idPadre).html(totalNivel3);				
					}	
					
					if(ponderacionNivel3!="" && ponderacionNivel3!=0){						
						valorPondeEje = $("#ejePadre_" + idPadre + "_" + idElem).html();
						valorPondeElem1 = $("#elem1Padre_" + idPadre + "_" + idElem).html();	
						valorPondeElem2 = $("#elem2Padre_" + idPadre + "_" + idElem).html();	
						var puntosPosibles = (ponderacionNivel3/100) * ($("#ponderacion2_" + valorPondeElem1 + "_" + idPadre).html()/100) * ($("#ponderacion1_" + valorPondeEje + "_" + valorPondeElem1).html()/100)
						* [1000 * $("#ponderacion0_" + valorPondeEje).html()/100];
						
						totalPonde3 =  totalNivel3/100 * puntosPosibles;
						$("#capaPonde3_"+ idElem).html(totalPonde3.toFixed(2));
						$("#resultadocapaPonde3_"+ idElem).html($.rup.i18n.app.campos_elementos["puntos"].replace('${0}',totalPonde3.toFixed(2)).replace('${1}',puntosPosibles.toFixed(2)));
					}else{
						$("#capaPonde3_"+ idElem).html(0);
						$("#resultadocapaPonde3_"+ idElem).html(0);	
					}
				}else{
					if(tipoValor==1 && esBase==0){
						if(valorSeleccionado==CTE_HASIERA_NUM){
							totalNivel3 = parseFloat($("#capa_hasiValor_" + idElem + "_" + idPadre).val());
							$("#Total_hasi_" + idElem + "_" + idPadre).html(totalNivel3);
						}else if(valorSeleccionado==CTE_AURRE_NUM){
							totalNivel3 = parseFloat($("#capa_aurreValor_" + idElem + "_" + idPadre).val());
							$("#Total_aurre_" + idElem + "_" + idPadre).html(totalNivel3);
						}else if(valorSeleccionado==CTE_AMAIERA_NUM){
							totalNivel3 = parseFloat($("#capa_amaiValor_" + idElem + "_" + idPadre).val());
							$("#Total_amai_" + idElem + "_" + idPadre).html(totalNivel3);				
						}						
						if(ponderacionNivel3!="" && ponderacionNivel3!=0){
							valorPondeEje = $("#ejePadre_" + idPadre + "_" + idElem).html();
							valorPondeElem1 = $("#elem1Padre_" + idPadre + "_" + idElem).html();	
							valorPondeElem2 = $("#elem2Padre_" + idPadre + "_" + idElem).html();	
							var puntosPosibles = (ponderacionNivel3/100) * ($("#ponderacion2_" + valorPondeElem1 + "_" + idPadre).html()/100) * ($("#ponderacion1_" + valorPondeEje + "_" + valorPondeElem1).html()/100)
							* [1000 * $("#ponderacion0_" + valorPondeEje).html()/100];
							
							totalPonde3 =  totalNivel3/100 * puntosPosibles;
							$("#capaPonde3_"+ idElem).html(totalPonde3.toFixed(2));
							$("#resultadocapaPonde3_"+ idElem).html($.rup.i18n.app.campos_elementos["puntos"].replace('${0}',totalPonde3.toFixed(2)).replace('${1}',puntosPosibles.toFixed(2)));
						}else{
							$("#capaPonde3_"+ idElem).html(0);
							$("#resultadocapaPonde3_"+ idElem).html(0);	
						}
					}else{
						$("#capaPonde3_"+ idElem).html(0);
						$("#resultadocapaPonde3_"+ idElem).html(0);	
					}
				}
			});
			
			//calcular segun tipo seleccionado nivel 2
			$.each($(".clsSeccionElemento.nivel2"),function(ind,value){
				var id = $(value).attr("id").split("_");
				var idElem = id[2];
				var idPadre = id[1];
				var totalPondeN2 = 0;
				$.each($(".ponderacion3_" + idElem),function(ind,value){
					totalPondeN2 = parseFloat(totalPondeN2) + parseFloat($(value).html());
				});				
				
				valorPondeEje = $("#ejePadre_" + idPadre + "_" + idElem).html();
				valorPondeElem1 = $("#elem1Padre_" + idPadre + "_" + idElem).html();	
				var puntosPosiblesN2 = ($("#ponderacion2_" + valorPondeElem1 + "_" + idElem).html()/100) * ($("#ponderacion1_" + valorPondeEje + "_" + valorPondeElem1).html()/100)
				* [1000 * $("#ponderacion0_" + valorPondeEje).html()/100];
				
				var totalPonderacion2 = parseFloat(totalPondeN2);
				$("#capaPonde2_"+ idElem).html(totalPonderacion2.toFixed(2));
				$("#resultadocapaPonde2_"+ idElem).html($.rup.i18n.app.campos_elementos["puntos"].replace('${0}',totalPonderacion2.toFixed(2)).replace('${1}',puntosPosiblesN2.toFixed(2)));	
			});			
			
			//calcular segun tipo seleccionado nivel 1
			$.each($(".clsSeccionElemento.nivel1"),function(ind,value){
				var id = $(value).attr("id").split("_");
				var idElem = id[2];
				var idPadre = id[1];
				var totalPondeN1 = 0;
				$.each($(".pondenivel2_" + idElem),function(ind,value){
					totalPondeN1 = parseFloat(totalPondeN1) + parseFloat($(value).html());
				});			
				valorPondeEje = $("#ejePadre_" + idPadre + "_" + idElem).html();
				var puntosPosiblesN1 = ($("#ponderacion1_" + valorPondeEje + "_" + idElem).html()/100)	* [1000 * $("#ponderacion0_" + valorPondeEje).html()/100];
				
				var totalPonderacion1 = parseFloat(totalPondeN1);
								
				$("#capaPonde1_"+ idElem).html(totalPonderacion1.toFixed(2));	
				$("#resultadocapaPonde1_"+ idElem).html($.rup.i18n.app.campos_elementos["puntos"].replace('${0}',totalPonderacion1.toFixed(2)).replace('${1}',puntosPosiblesN1.toFixed(2)));
			});
			
			//calcular segun tipo seleccionado nivel 0
			$.each($(".clsSeccionElemento.nivel0"),function(ind,value){
				var id = $(value).attr("id").split("_");
				var idElem = id[1];			
				var totalPondeN0 = 0;
				$.each($(".pondenivel1_" + idElem),function(ind,value){
					totalPondeN0 = parseFloat(totalPondeN0) + parseFloat($(value).html());
				});			
				
				var puntosPosiblesN1 = 1000 * $("#ponderacion0_"+ idElem).html()/100;
								
				var totalPonderacion0 = parseFloat(totalPondeN0);	
				$("#capaPonde0_"+ idElem).html(totalPonderacion0.toFixed(2));
				$("#resultadocapaPonde0_"+ idElem).html($.rup.i18n.app.campos_elementos["puntos"].replace('${0}',totalPonderacion0.toFixed(2)).replace('${1}',puntosPosiblesN1.toFixed(2)));				
			});
			
			var totalPondeTotal= 0;
			$.each($(".calc0"),function(ind,value){
				totalPondeTotal = parseFloat(totalPondeTotal) + parseFloat($(value).html());
			});	
			$("#resultadoFinalCalc").html($.rup.i18n.app.campos_elementos["puntos"].replace('${0}',totalPondeTotal.toFixed(2)).replace('${1}',1000));
			
			mostrarCamposPonderacion(valorSeleccionado);
			formatearNumeros();			
			$(".clsCapaCalcular").rup_dialog("close");
		}else{
			alert($.rup.i18n.app.campos_elementos["seleccionTipooblig"]);
		}	
	}
}

function formatearNumeros(){	
	$.each($(".formatearNumero"),function(ind,value){
		$(value).html(String($(value).html()).replace(".",","));
	});
}

function editarOharrak(elemid){	
	var ids = elemid.split("_");
	$("#txtOharrak").val($("#oharrak_" + ids[1]).html());	
	$("#idElementoOharrak").val(ids[1]);
	$(".clsCapaEditarOharrak").rup_dialog("destroy");
	crearDialogEditarOharrak();
	$(".clsCapaEditarOharrak").rup_dialog("open");
}

/*
funcion que crea un nuevo elemento de tercer nivel
*/
function elementuBerriaInsertar(obj){
	
	var capaPadre = $(".clsCapaElementuBerria").data("capaPadre");
	var id = capaPadre.split("_");	
	var numHijos = $('div[padre=' + id[1] + ']').length + 1;	
	$("#elemNuevo").append(obj);	
	if(numHijos%2==0){		
		$("#elemNuevo").find("div .clsElemento3Nivel").removeClass("par").removeClass("impar").addClass("impar");	
	}else{						
		$("#elemNuevo").find("div .clsElemento3Nivel").removeClass("impar").removeClass("par").addClass("par");
	}	
	$('.formulario_sin_fondo div[padre='+id[1]+']').last().after($("#elemNuevo").html());		
	$("#elemNuevo").html("");
}


function elementuBerriaNivel4(obj){	
	var capaPadre = $(".clsCapaTituloNuevo").data("capaTitulo");
	var id = capaPadre.split("_");	
	if($('.clsSeccionElementoNivel3 div[padre='+id[1]+']').length==0){
		$("#capa_nivel3_" + id[2] + "_" + id[1]).append(obj);
	}else{
		$('.clsSeccionElementoNivel3 div[padre='+id[1]+']').last().after(obj);
	}	
	botonesN4();
}


function guardarDatosArbol(){
	var valorMayor100= 0;
	var error = 0;
	$.each($(".camposPorcen"),function(id,value){
		if($(value).val()>100){
			valorMayor100 = 1;
			return false;
		}
	});
	if($("#anyoinicio").val()=="" || $("#anyofin").val()=="" ){
		ab39aUtils.feedback.pintarFeedbackError($.rup.i18n.app.campos_elementos["anyosOblig"],$("#Arbol_feedback"));
		return false;
	}
	if($("#tipoEntidad").val() == ADMINISTRACION_PUBLICA){
		if(($("#anyoinicio").val()<$("#fInicioPlani").val()) || ($("#anyoinicio").val()>$("#anyofin").val())){
			var anyos = $("#fInicioPlani").val() + "-" + $("#anyofin").val();			
			ab39aUtils.feedback.pintarFeedbackError($.rup.i18n.app.campos_elementos["anyoPlani"].replace('${0}',anyos),$("#Arbol_feedback"));
			return false;
		}
	}	
	if(valorMayor100 == 1){
		ab39aUtils.feedback.pintarFeedbackError($.rup.i18n.app.campos_elementos["eusElebiMenor100"],$("#Arbol_feedback"));
	}else{
		var dataElementos = [];
		$.each($(".clsGrupoDatos"),function(ind,value){
						
			var id = $(value).find("input.editable.hasiera").attr("id").split("_");
			var idElemento = id[2];
			var idElementoPadre = id[3];
			var codPlane = $("#codPlane").val();		
			var elemHasieraEus= $(value).find("input.editable.hasiera.Eus").val();				
			var elemHasieraElebi = $(value).find("input.editable.hasiera.Elebi").val();
			if(elemHasieraElebi!=undefined){
				if((parseFloat(elemHasieraElebi) + parseFloat(elemHasieraEus))>100){
					ab39aUtils.feedback.pintarFeedbackError($.rup.i18n.app.campos_elementos["eusElebiMenor100"],$("#Arbol_feedback"));
					error=1;
					return false;
				}
			}
			var elemAurreEus = $(value).find("input.editable.aurre.Eus").val();
			var elemAurreElebi = $(value).find("input.editable.aurre.Elebi").val();
			if(elemAurreElebi!=undefined){
				if((parseFloat(elemAurreElebi) + parseFloat(elemAurreEus))>100){					
					ab39aUtils.feedback.pintarFeedbackError($.rup.i18n.app.campos_elementos["eusElebiMenor100"],$("#Arbol_feedback"));
					error=1;
					return false;
				}
			}
			var elemAmaieraEus  =$(value).find("input.editable.amaiera.Eus").val();
			var elemAmaieraElebi = $(value).find("input.editable.amaiera.Elebi").val();
			if(elemAmaieraElebi!=undefined){
				if((parseFloat(elemAmaieraElebi) + parseFloat(elemAmaieraEus))>100){
					ab39aUtils.feedback.pintarFeedbackError($.rup.i18n.app.campos_elementos["eusElebiMenor100"],$("#Arbol_feedback"));
					error=1;
					return false;
				}
			}
			var elemHasieraValor = $(value).find("input.editable.hasiera.Valor").val();	
			var elemAurreValor = $(value).find("input.editable.aurre.Valor").val();
			var elemAmaieraValor  =$(value).find("input.editable.amaiera.Valor").val();
			var elemHasieraSiNo = $('input[name=capa_hasitieneSino_' + idElemento + '_' + idElementoPadre + ']:checked').val(); 
			var elemAurreSiNo = $('input[name=capa_aurretieneSino_' + idElemento + '_' + idElementoPadre + ']:checked').val(); 
			var elemAmaieraSiNo = $('input[name=capa_amaitieneSino_' + idElemento + '_' + idElementoPadre + ']:checked').val(); 
			var elementos = {"idelemento" : idElemento, "codElementoPadre" : idElementoPadre,"codplane" : codPlane,"hasEus" :elemHasieraEus,"hasElebi":elemHasieraElebi,
				"aurreEus":elemAurreEus,"aurreElebi":elemAurreElebi,"amaiEus":elemAmaieraEus,"amaiElebi":elemAmaieraElebi,
				"hasValor": elemHasieraValor, "aurreValor":elemAurreValor ,"amaiValor": elemAmaieraValor,
				"hasSiNo": elemHasieraSiNo, "aurreSiNo":elemAurreSiNo ,"amaiSiNo": elemAmaieraSiNo,};				
			dataElementos.push(elementos);		
		});
				
		if(error==0){
			if($("#fechaAceptacionPlan").val()==""){
				var llamada = "elementosArbol/guardarArbol" ;
			}else{
				var llamada = "elementosArbol/guardarArbol?fechaAcept="+$("#fechaAceptacionPlan").val();
			}
			
			var data = {"elementos":JSON.stringify(dataElementos) , "nombre":$("#nombrePlan").val(),"nombreEu":$("#nombrePlanEu").val(),"indice":$("#indiceObligat").val(),"nivel":$("#nivelCumplimientoReqeus").val(),
					"porcent":$("#porcentajeBiling").val(),"planid":$("#codPlane").val(),"version":$("#version").val(),"anyoinicio": $("#anyoinicio").val(),"anyofin": $("#anyofin").val()};			
						
			$.rup_ajax({
				url : $.rup.CTX_PATH + llamada,
				contentType : "application/json",
				cache : false,
				data: JSON.stringify(data),									
				dataType : "json",
				type : "POST",
				beforeSend: waitDialog($.rup.i18n.app.campos_elementos["guardarElemMens"]),
			    complete: closeWaitDialog,
			    success : function(response) {					
					ab39aUtils.feedback.pintarFeedbackOk($.rup.i18n.app.campos_elementos["guardarPlanOk"],$("#Arbol_feedback"));				
				},
				error : function(error) {
					ab39aUtils.feedback.pintarFeedbackError($.rup.i18n.app.errores["errorGral"],$("#Arbol_feedback"));
				}
			});
		}
	}
}


function borrarElemento(elemid){
	$.rup_messages("msgConfirm", {
        message: $.rup.i18nParse($.rup.i18n.app,"campos_elementos.eliminarElemento"),
        title: "",
        OKFunction: function () {
            darBajaElemento(elemid);
        }
    }); 		
}

function borrarAccion(elemid){
	$.rup_messages("msgConfirm", {
        message: $.rup.i18nParse($.rup.i18n.app,"campos_elementos.eliminarAccion"),
        title: "",
        OKFunction: function () {
            darBajaAccion(elemid);
        }
    }); 
}

function borrarElem4(elemid){
	$.rup_messages("msgConfirm", {
        message: $.rup.i18nParse($.rup.i18n.app,"campos_elementos.eliminarElem4"),
        title: "",
        OKFunction: function () {
            darBajaElem4(elemid);
        }
    }); 
}

function darBajaElemento(elemid){	
	var id = elemid.split("_");	
	$.rup_ajax({
		url : $.rup.CTX_PATH + "elementosArbol/borrarElemento",
		contentType : "application/json",
		cache : false,
		data: {"elementoId": id[2],"planid":$("#codPlane").val(),"version":$("#version").val()},								
		dataType : "json",
		type : "GET",
		beforeSend: waitDialog($.rup.i18n.app.campos_elementos["espereGeneral"]),
	    complete: closeWaitDialog,
		success : function(response) {			
			$("#capa_nivel3_" + id[1] + "_"+ id[2]).remove();
			recalcularColorFondoElem(id[1]);
		},
		error : function(error) {
			ab39aUtils.feedback.pintarFeedbackError($.rup.i18n.app.errores["errorGral"],$("#Arbol_feedback"));
		}
	});	
}

function darBajaAccion(elemid){
	var id = elemid.split("_");	
	$.rup_ajax({
		url : $.rup.CTX_PATH + "elementosArbol/borrarAccion",
		contentType : "application/json",
		cache : false,
		data: {"accion": id[1],"elementoid":id[2]},								
		dataType : "json",
		type : "GET",
		beforeSend: waitDialog($.rup.i18n.app.campos_elementos["espereGeneral"]),
	    complete: closeWaitDialog,
		success : function(response) {				
			$("#elem5_" + id[2] + "_"+ id[1]).remove();			
		},
		error : function(error) {
			ab39aUtils.feedback.pintarFeedbackError($.rup.i18n.app.errores["errorGral"],$("#Arbol_feedback"));
		}
	});	
}

function darBajaElem4(elemid){
	var id = elemid.split("_");	
	$.rup_ajax({
		url : $.rup.CTX_PATH + "elementosArbol/borrarElem4YAcciones",
		contentType : "application/json",
		cache : false,
		data: {"elementoid":id[1]},								
		dataType : "json",
		type : "GET",
		beforeSend: waitDialog($.rup.i18n.app.campos_elementos["espereGeneral"]),
	    complete: closeWaitDialog,
		success : function(response) {			
			$("#elem4_" + id[2] + "_"+ id[1]).remove();
			$('.formulario_sin_fondo div[idnivelAnt='+id[1]+']').remove();		
		},
		error : function(error) {
			ab39aUtils.feedback.pintarFeedbackError($.rup.i18n.app.errores["errorGral"],$("#Arbol_feedback"));
		}
	});	
}


function recalcularColorFondoElem(idPadre){
	$('.formulario_sin_fondo div[padre='+idPadre+']')
	var element = $('.formulario_sin_fondo div[padre='+idPadre+']').length; 
	$('.formulario_sin_fondo div[padre='+idPadre+'] .clsElemento3Nivel').each(function( index ) {
		$(this).removeClass("par").removeClass("impar");
		if(index%2 ==0){
			$(this).addClass("par");
		}else{
			$(this).addClass("impar");
		}
	 });	
}

function idatziElementuBerria(elemid){			
	$(".clsCapaElementuBerria").data("capaPadre",elemid);
	$("#txtElemTitulua").val("");	
	$("#txtElemTituluaCas").val("");	
	$(".clsCapaElementuBerria").rup_dialog("destroy");
	crearDialogElementuBerria();
	$(".clsCapaElementuBerria").rup_dialog("open");
}

function modificarElemento(elemid){		
	$(".clsCapaModificarElemento").data("capaPadre",elemid);
	var ids = elemid.split("_");
	$("#txtElemTituluaModif").val($("#capaNivel3_" + ids[1]).html());	
	$("#txtElemTituluaCasModif").val($("#capaNivelCas3_" + ids[1]).html());	
	$("#idElementoBerria").val(ids[1]);
	$(".clsCapaModificarElemento").rup_dialog("destroy");
	crearDialogModificarElemento();
	$(".clsCapaModificarElemento").rup_dialog("open");
}


function idatziHelburua(elemid){
	var num = elemid.split("_");
	$("#capa_helburu").data("capaHelburu",elemid);
	$("#txthelburu").val($(elemid).text());
	$("#txthelburuCas").val($("#capahCas_" + num[1]+"_"+num[2]).text());	
	$("#capa_helburu").rup_dialog("destroy");
	crearDialogHelburu();
	$("#capa_helburu").rup_dialog("open");
}

function editarTitulo(elemid){
	var num = elemid.split("_");
	$(".clsCapaTituloEditar").data("capaTitulo",elemid);
	$("#txtTitulo").val($("#titn_" + num[1]).text());
	$("#txtTituloCas").val($("#titnCas_" + num[1]).text());	
	$(".clsCapaTituloEditar").rup_dialog("destroy");
	crearDialogTituloEditar();
	$(".clsCapaTituloEditar").rup_dialog("open");
}

function nuevoTitulo(elemid){
	$(".clsCapaTituloNuevo").data("capaTitulo",elemid);
	$("#txtTituloNuevo").val("");
	$("#txtTituloCasNuevo").val("");		
	$("#txtAccionNuevo").val("");
	$("#txtAccionCasNuevo").val("");
	$(".clsCapaTituloNuevo").rup_dialog("destroy");
	crearDialogTituloNuevo();
	$(".clsCapaTituloNuevo").rup_dialog("open");
}

function editarAccion(elemid){	
	
	var num = elemid.split("_");
	
	$(".clsCapaEditarAcciones").data("capaAcciones",elemid);
	$("#receptores").val($("#numRecep_" + num[1]).text());
	$("#receptoresH").val($("#numRecepH_" + num[1]).text());
	$("#receptoresM").val($("#numRecepM_" + num[1]).text());
	$("#responsable").val($("#responsable_" + num[1]).text());
	$("#fechaPrev").val($("#fechaPrev_" + num[1]).text());	
	$("#razonAplaz").val($("#razonAplaz_" + num[1]).text());
	$("#razonAplazCas").val($("#razonAplazCas_" + num[1]).text());
	$("#motivoCancel").val($("#motivoCancel_" + num[1]).text());
	$("#motivoCancelCas").val($("#motivoCancelCas_" + num[1]).text());
	$("#descripcion").val($("#descrip_" + num[1]).text());
	$("#descripcionCas").val($("#descripCas_" + num[1]).text());
	$("#nuevafechaprev").val($("#nuevafechaprev_" + num[1]).text());	
	$("#observaciones").val($("#observaciones_" + num[1]).text());
	$("#observacionesCas").val($("#observacionesCas_" + num[1]).text());
	$("#nombreAcc").val($("#titAn_" + num[1]).text());
	$("#nombreAccCas").val($("#titAnCas_" + num[1]).text());
	
	if($("#elemBaseAcc_" + num[1]).text()==0){
		$("#nombreAcc").attr('disabled',true);
		$("#nombreAccCas").attr('disabled',true);
	}else{
		$("#nombreAcc").attr('disabled',false);
		$("#nombreAccCas").attr('disabled',false);
	}	
	
	$("#fechaPrev").rup_date({});
	$("#nuevafechaprev").rup_date({});
	
	var situacion =$("#situacionCod_" + num[1]).text();
	if(situacion==3){
		$(".aplazamiento").hide();
		$(".cancelacion").show();
	}else if(situacion==2){
		$(".aplazamiento").show();
		$(".cancelacion").hide();
	}else{
		$(".aplazamiento").hide();
		$(".cancelacion").hide();
	}
	
	if($("#preguntaHechaCod_" + num[1]).text()==0){
		limpiarRadiosPreguntaAccion();
	}else{
		$("input[name=preguntaHecha][value='" + $("#preguntaHechaCod_" + num[1]).text() + "']").prop("checked",true);
	}
			
	if($("#tipoRecepCod_" + num[1]).text()!="" && $("#tipoRecepCod_" + num[1]).text()!=0){
		$("#tipoReceptor").rup_combo("setRupValue",$("#tipoRecepCod_" + num[1]).text());		
	}else{
		$("#tipoReceptor").rup_combo("setRupValue","");
	}
	if($("#situacionCod_" + num[1]).text()!=""){
		$("#situacion").rup_combo("setRupValue",$("#situacionCod_" + num[1]).text());			
	}else{
		$("#situacion").rup_combo("setRupValue","0");	
	}
	
	$(".clsCapaEditarAcciones").rup_dialog("destroy");
	crearDialogEditarAcciones();
	$(".clsCapaEditarAcciones").rup_dialog("open");
}

function limpiarRadiosPreguntaAccion(){
	$("input[name=preguntaHecha][value='1']").prop("checked",false);
	$("input[name=preguntaHecha][value='2']").prop("checked",false);
	$("input[name=preguntaHecha][value='3']").prop("checked",false);
	$("input[name=preguntaHecha][value='4']").prop("checked",false);
	$("input[name=preguntaHecha][value='5']").prop("checked",false);
}

function verCamposIdioma(){
	if($.rup.lang=="es"){
		$(".verCas").show();
		$(".verEus").hide();
	}else{
		$(".verCas").hide();
		$(".verEus").show();
	}	
}

function crearTablaAcciones(elemid){
	$("#txtAccionNCas").val("");
	$("#txtAccionN").val("");
	var id = elemid.split("_");		
	$("#idAccionPadre").val(id[1]);
	$("#idAccionPadrePadre").val(id[2]);	
	$(".clsCapaNuevasAcciones").data("capaAccion",elemid);	
	$(".clsCapaNuevasAcciones").rup_dialog("destroy");
	crearDialogNuevasAcciones();				
	$(".clsCapaNuevasAcciones").rup_dialog("open");	
}

function anyadirAcciones(modo){	
	var elemId = $("#idAccionPadre").val();	
	if(modo=="S"){
		var selectedIds = $("#NuevasAcciones").jqGrid('getGridParam', 'selarrrow').toString();		
	}else{
		var selectedIds = "0";
	}
	if((selectedIds=="" && selectedIds!="0")){
		alert($.rup.i18n.app.campos_elementos["selaccionoblig"]);
	}else if(selectedIds==0 && $("#txtAccionN").val()==""){ 
		alert($.rup.i18n.app.campos_elementos["nombresAccionEuskOblig"]);		
	}else{
        $.rup_ajax({
    		url : $.rup.CTX_PATH + "elementosArbol/anyadirAccionSel",
    		contentType : "application/json",
    		cache : false,
    		data:  JSON.stringify({"accionesSel": selectedIds,"elementoId": elemId,"nombre": $("#txtAccionN").val(),"nombreCas": $("#txtAccionNCas").val(),"padrepadre":$("#idAccionPadrePadre").val(),
    			"usuario":$("#usuario").val(),"tipoPlan":$("#tipoPlan").val(),"modo":modo}),	   		
    		dataType : "html",
    		type : "POST",
    		beforeSend: waitDialog($.rup.i18n.app.campos_elementos["espereGeneral"]),
		    complete: closeWaitDialog,
    		success : function(response) {			
    			insertarAccion(response);
    			actualizarAcciones();
    			botonesAcciones();
				verCamposIdioma();				
    			$(".clsCapaNuevasAcciones").data("capaAccion","");
				$(".clsCapaNuevasAcciones").rup_dialog("close");
    		},
    		error : function(error) {
    			ab39aUtils.feedback.pintarFeedbackError($.rup.i18n.app.errores["errorGral"],$("#Arbol_feedback"));
    		}
    	});	
	}
}

function insertarAccion(obj){
	var capaPadre = $(".clsCapaNuevasAcciones").data("capaAccion");
	var id = capaPadre.split("_");	
	if($('.formulario_sin_fondo div[idnivelAnt='+id[1]+']').length==0){
		if(id[3]==4){
			$("#elem4_" + id[2] + "_" + id[1]).after(obj);
		}else{
			$("#capa_nivel3_" + id[2] + "_" + id[1]).after(obj);
		}
	}else{
		$('.formulario_sin_fondo div[idnivelAnt='+id[1]+']').last().after(obj);
	}
}

function crearExcel(tipo){	
	var url=$.rup.CTX_PATH + "elementosArbol/crearExcel?codPlane=" + $("#codPlane").val() + "&tipo=" + $("#tipoPlan").val() + "&version="+$("#version").val();
	url =ab39aUtils.util.setUrlNoCachePortalWar(url);
	window.open(url,"_blank");
}

function crearPdf(tipo){
	var url=$.rup.CTX_PATH + "elementosArbol/crearPdf?codPlane=" + $("#codPlane").val() + "&tipo=" + $("#tipoPlan").val() + "&version="+$("#version").val();
	url =ab39aUtils.util.setUrlNoCachePortalWar(url);
	window.open(url,"_blank");	
}


function eliminarPlan(tipo){
	if(tipo=='PE'){					
		if($("#solicitudTxostena").val()==1){
			ab39aUtils.feedback.pintarFeedbackError($.rup.i18n.app.errores["errorBajaPETxostena"],$("#Arbol_feedback"));	
			return false;
		}
		if($("#tienePg").val()!=0){			
			ab39aUtils.feedback.pintarFeedbackError($.rup.i18n.app.errores["errorBajaPEPlanesGestion"],$("#Arbol_feedback"));	
			return false;
		}	
		$.rup_messages("msgConfirm", {
	        message: $.rup.i18nParse($.rup.i18n.app,"campos_tabla_planes_estrategicos.mensElimPlan"),
	        title: "",
	        OKFunction: function () {
	        	$.rup_ajax({
					url : $.rup.CTX_PATH + "planesestrategicos/eliminarPlan/"+$("#codPlane").val() + "/" + $("#version").val(), 
					contentType : "application/json",
					cache : false,
					dataType : "json",
					type : "GET",
					success : function(response) {						
						volverPantallaPE(1);
					},
					error : function(error) {
						ab39aUtils.feedback.pintarFeedbackError($.rup.i18n.app.errores["errorGral"],$("#Arbol_feedback"));	
					}
				});
	         }
	    }); 	
	}else{
		$.rup_messages("msgConfirm", {
	        message: $.rup.i18nParse($.rup.i18n.app,"campos_tabla_planes_gestion.mensElimPlan"),
	        title: "",
	        OKFunction: function () {
	        	$.rup_ajax({
					url : $.rup.CTX_PATH + "planesgestion/"+$("#codPlane").val(), 
					contentType : "application/json",
					cache : false,
					dataType : "json",
					type : "DELETE",
					success : function(response) {						
						volverPantallaPG();
					},
					error : function(error) {
						ab39aUtils.feedback.pintarFeedbackError($.rup.i18n.app.errores["errorGral"],$("#Arbol_feedback"));	
					}
				});
	         }
	    }); 	
		
		
	}
}

function verCambiosHel(id){	
	$("#txthelburuAntiguo").html($("." + id + "_helburu").html());	
	$("#txthelburuCasAntiguo").html($("." + id + "_helburuCas").html());
	$(".clsCapaHelburuAntiguo").rup_dialog("destroy");	
	crearDialogHelburuAntiguo();
	$(".clsCapaHelburuAntiguo").rup_dialog("open");	
}

function verCambiosElem(id){
	if($("." + id + "_isElemNuevo").html()==1){
		$(".elementoAnt").hide();
		$(".elementoAntNuevo").show();
	}else{
		$(".elementoAntNuevo").hide();
		$(".elementoAnt").show();
		$("#txtElemNombreAntiguo").html($("." + id + "_nombre").html());	
		$("#txtElemNombreCasAntiguo").html($("." + id + "_nombreCas").html());	
		$("#txtElemHelburuAntiguo").html($("." + id + "_helburu").html());	
		$("#txtElemHelburuCasAntiguo").html($("." + id + "_helburuCas").html());	
		$("#txtElemHasEusAntiguo").html($("." + id + "_hasEus").html());	
		$("#txtElemHasElebiAntiguo").html($("." + id + "_hasElebi").html());	
		$("#txtElemHasValorAntiguo").html($("." + id + "_hasValor").html());	
		$("#txtElemHasSiNoAntiguo").html(formateaSiNo($("." + id + "_hasSiNo").html()));
		$("#txtElemAurreEusAntiguo").html($("." + id + "_aurreEus").html());	
		$("#txtElemAurreElebiAntiguo").html($("." + id + "_aurreElebi").html());	
		$("#txtElemAurreValorAntiguo").html($("." + id + "_aurreValor").html());	
		$("#txtElemAurreSiNoAntiguo").html(formateaSiNo($("." + id + "_aurreSiNo").html()));
		$("#txtElemAmaiEusAntiguo").html($("." + id + "_amaiEus").html());	
		$("#txtElemAmaiElebiAntiguo").html($("." + id + "_amaiElebi").html());	
		$("#txtElemAmaiValorAntiguo").html($("." + id + "_amaiValor").html());	
		$("#txtElemAmaiSiNoAntiguo").html(formateaSiNo($("." + id + "_amaiSiNo").html()));
		ocultarValoresAnt();
		if($("." + id + "_tieneEus").html() == 1){
			$(".AntEus").show();			
		}else if($("." + id + "_tieneElebi").html() == 1){
			$(".AntEus").show();
			$(".AntElebi").show();
		}else if($("." + id + "_tieneValor").html() == 1){
			$(".AntValor").show();			
		}else if($("." + id + "_tieneSiNo").html() == 1){
			$(".AntSiNo").show();			
		}
	}
	$(".clsCapaElemento3Antiguo").rup_dialog("destroy");
	crearDialogElemento3Antiguo();	
	$(".clsCapaElemento3Antiguo").rup_dialog("open");	
}

function ocultarValoresAnt(){
	$(".AntEus").hide();
	$(".AntElebi").hide();
	$(".AntValor").hide();
	$(".AntSiNo").hide();
}

function formateaSiNo(campo){
	if(campo==0){
		return $.rup.i18n.app.campos_elementos["elementoNo"];
	}else if(campo==1){
		return $.rup.i18n.app.campos_elementos["elementoSi"];
	}else{
		return "";
	}
}

function crearTooltipCampos(){
	if($("#tipoPlan").val()=='PE'){
		$(".porcentaj").rup_tooltip({
			content: {
				text: $.rup.i18n.app.toolTip["elebidunEhunekoa"],
				title: {text: $.rup.i18n.app.toolTip["elebidunEhunekoaTitulo"]}
			}
		});
		$(".indiceObl").rup_tooltip({
			content: {
				text: $.rup.i18n.app.toolTip["derrigortasunIndizea"],
				title: {text: $.rup.i18n.app.toolTip["derrigortasunIndizeaTitulo"]}
			}
		});
		$(".nivelCumpl").rup_tooltip({
			content: {
				text: $.rup.i18n.app.toolTip["betetzeMaila"],
				title: {text: $.rup.i18n.app.toolTip["betetzeMailaTitulo"]}
			}
		});
	}
}

function verDatoIdioma(nombreelem,datoCas,datoEus){
	if($.rup.lang=="es" && datoCas!=""){
		$(nombreelem).text(datoCas);
	}else if($.rup.lang=="es" && datoCas==""){
		$(nombreelem).text(datoEus);
	}else if($.rup.lang=="eu" && datoEus!=""){
		$(nombreelem).text(datoEus);
	}else if($.rup.lang=="eu" && datoEus==""){
		$(nombreelem).text(datoCas);
	}
}